\name{parana}

\alias{maijun}
\alias{loci.paper}
\alias{borders}

\non_function{mainjun, loci.paper, borders}

\title{Parana State (Brazil) Rainfall Data}

\description{
  This data-set was used by Diggle and Ribeiro (2001) to illustrate the methods
  discussed in the paper. The analysis was performed using the package \code{geoR}. 

  The data refers to average (over different years) rainfall for the period May-June
  (dry-season) and was collected at 143 recording stations throughout Parana State,
  Brazil.
}

\usage{data(parana)}

\format{
  Three objects are provided:
  
  \enumerate{
    \item maijun: a list with coordinates of the recording stations and the May-June average data,
    \item borders : a matrix with the coordinates defining the borders of
    Paran\'{a} state,
    \item loci.paper : a matrix with the coordinates of the four
    prediction locations discussed in the paper. 
  }
}

\source{
  The data were collected at several recording stations at
  Parana State, Brazil; belonging to the following institutions:
  COPEL, IAPAR, DNAEE, SUREHMA  and INEMET.
  
  The data base was organized by Laura Regina Bernardes Kiihl (IAPAR,
  Instituto Agronomico do Parana, Londrina, Brazil)
  and the fraction of the data provided  here was
  kindly provided by Jacinta Loudovico Zamboti (Universidade Estadual de
  Londrina, Brazil).
  The coordinates of the borders of Parana State were kindly provided
  by Joao Henrique Caviglione (IAPAR). 
}

\references{
  Diggle, P.J. and Ribeiro Jr, P.J. (2001). Bayesian inference in
  Gaussian model-based geostatistics. \emph{Geographical and Environmental Modeling} (to appear) 
  
  Further information about \code{geoR/geoS} can be found at:\cr
  \url{http://www.maths.lancs.ac.uk/~ribeiro/geoR.html}
}

\keyword{datasets, spatial}
