\name{plot.proflik}

\alias{plot.proflik}
\alias{plot.proflik.aux1}

%- Also NEED an `\alias' for EACH other topic documented here.

\title{Plots the profile likelihoods}

\description{
  This function produces plots of the profile likelihoods computed by
  the function \code{\link{proflik}}.
}

\usage{
plot.proflik(obj.proflik, pages=c("user", "one", "two"),
             uni.only=FALSE, bi.only=F, type.bi=c("contour", "persp"),
             conf.int=c(0.9, 0.95), yaxis.lims=c("conf.int", "as.computed"),
             by.col=TRUE, log.scale=FALSE, par.mar.persp=c(0, 0, 0, 0), ...)
}

%- maybe also `usage' for other objects documented here.
\arguments{
  \item{obj.proflik}{An object with results from the function \code{\link{proflik}}.}
  \item{pages}{ ~~Describe \code{pages} here~~ }
  \item{uni.only}{only 1-D profile are plotted even if the object
    contains results of the 2-D profliles.}
  \item{bi.only}{only 2-D profile are plotted even if the object
    contains results of the 1-D profliles.. }
  \item{type.bi}{ }
  \item{conf.int}{levels of the (approximated) confidence
    intervals. Defaults to 90\% and 95\%.}
  \item{yaxis.lims}{defines the lower limits for the y-axis in the 1-D
    plots. If \code{"conf.int"} the limit is determined by the level of
    the confidence interval (the default) otherwise will be determined
    by the lowest computed value.
  }
  \item{by.col}{ }
  \item{log.scale}{plots the x-axis in the logaritmic scale. Defaults to
  \code{FALSE}.}
  \item{\dots}{additional arguments to be passed to the plot functions
    \code{\link{plot}}, \code{\link{contour}} or \code{\link{persp}}.}
}

%\details{
%  ~~ If necessary, more details than the __description__  above ~~
%}

\value{
  Produces a plot on the graphics output device.
}

\references{
  Further information about \code{geoR/geoS} can be found at:\cr
  \url{http://www.maths.lancs.ac.uk/~ribeiro/geoR.html}
}

\author{
  Paulo Justiniano Ribeiro Jr. <\email{paulojus@est.ufpr.br}> \cr
  Peter J. Diggle <\email{p.diggle@lancaster.ac.uk}>.
}

%\note{ ~~further notes~~ }

\seealso{\code{\link{proflik}}, \code{\link{contour}}, \code{\link{persp}}.}

\examples{
# see examples for proflik
}
\keyword{spatial}

